{% extends "admin/base_site.html" %}
{% load i18n admin_modify adminmedia %}

{% block extrahead %}{{ block.super }}
{{ media }}
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/changelists.css" />
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/forms.css" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block branding %}{% endblock %}

{% block breadcrumbs %}{% endblock %}

{% block title %} {% trans 'Asistencias al curso' %} {{ curso.Curso.Nombre|escape }} {% endblock %}
{% block coltype %}flex{% endblock %}

{% block content %}

<fieldset class="module">
<div class="form-row">
        <div class="field-box">
		<label class="required" >Semestre:</label>
                {{ curso.Periodo|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Grupo Horario:</label>
                {{ curso.Grupo|escape }}
	</div>
	<div class="field-box">
		<label class="required" >Horario:</label>
                {% for horario in curso.horario_set.all %}
                    {{ horario.Dia|escape }}, {{ horario.HoraInicio|escape }} - {{ horario.HoraFin|escape }}, {{ horario.Seccion|escape }}<br>
                {% endfor %}
	</div>
        <div class="field-box">
		<label class="required" >Docente:</label>
                {{ curso.Docente|escape }}
	</div>
</div>
</fieldset>

<div id="content-main">
  <h2>Asistencias al curso {{ curso.Curso.Nombre|escape }}</h2>
      {% block result_list %}
        <div class = "module aligned" id="changelist" >
        {% if asistencias %}
            <table>
                <THEAD>
                <TR>
                <TH>Número</TH>
                <TH>Fecha</TH>
                <TH>Dia</TH>
                <TH>Inicio</TH>
                <TH>Fin</TH>
                <TH>Aula</TH>
                <TH>Estado</TH>
                </TR>
	            </THEAD>

                <TBODY>
                {% for asistencia in asistencias %}
                    <TR class="{% cycle 'row1' 'row2' %}">
                    <TD>{{ forloop.counter }}</TD>
                    <TD>{{ asistencia.Fecha|escape }}</TD>
                    <TD>{{ asistencia.Horario.Dia|escape }}</TD>
                    <TD>{{ asistencia.Horario.HoraInicio|escape }}</TD>
                    <TD>{{ asistencia.Horario.HoraFin|escape }}</TD>
                    <TD>{{ asistencia.Horario.Seccion|escape }}</TD>
                    <TD>{{ asistencia.Estado|escape }}</TD>
                    </TR>
               {% endfor%}
               </TBODY>
        </table>
        </div>
        <p>Asistencias: {{ asistio|escape }} - ({{ asiste|escape }}%)</p>        
        <p>Faltas: {{ falto|escape }} - ({{ falta|escape }}%)</p>
        <p>Tardanza: {{ tardanza|escape }} - ({{ tarde|escape }}%)</p>
        {% endif %}
{% endblock %}
</div>
{% endblock %}
